Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions
openvrml::null_node_type Class Reference

A placeholder `node_type`. More...

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::null_node_type:
[legend]

List of all members.

## Public Member Functions

| null_node_type (null_node_metatype &type) throw ()
| Construct.
virtual | ~null_node_type () throw ()
| Destroy.

## Private Member Functions

virtual const node_interface_set & | do_interfaces () const throw ()
| Do not call.
virtual const boost::intrusive_ptr< node > | do_create_node (const boost::shared_ptr< openvrml::scope > &scope, const initial_value_map &initial_values) const throw ()
| Do not call.

## Detailed Description

A placeholder `node_type`.

The `null_node_type` is provided for convenience for the uncommon (but not inconceivable) situation where one needs something that acts like a `node`, yet isn't a full-fleged node with proper `node_metatype` and `node_type` implementations.

See also:
  openvrml::null_node_metatype

## Constructor & Destructor Documentation

openvrml::null_node_type::null_node_type | ( | null_node_metatype & | type | ) | throw ()`[explicit]`

Construct.

openvrml::null_node_type::~null_node_type | ( |  | ) | throw ()`[virtual]`

Destroy.

## Member Function Documentation

const openvrml::node_interface_set & openvrml::null_node_type::do_interfaces | ( |  | ) | const throw ()`[private, virtual]`

Do not call.

Warning:
  Correct code will not call this function.

Implements openvrml::node_type.

const boost::intrusive_ptr< openvrml::node > openvrml::null_node_type::do_create_node | ( | const boost::shared_ptr< openvrml::scope > & | scope,
|  | const initial_value_map & | initial_values
| ) |  | const throw ()`[private, virtual]`

Do not call.

Warning:
  Correct code will not call this function.